MP4(3)

NAME

MP4AddHintTrack - Add a hint track

SYNTAX

#include <mp4.h>

MP4TrackId MP4AddHintTrack(
    MP4FileHandle hFile,
    MP4TrackId refTrackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

refTrackId
    Specifies the reference media track for this hint track.

RETURN VALUES

Upon success, the track id of the new track. Upon an error, MP4_INVALID_TRACK_ID.

DESCRIPTION

MP4AddHintTrack adds a hint track to the mp4 file. A hint track is used to describe how to send the reference media track over a particular network transport. In the case of the IETF RTP protocol, the hint track describes how the media data should be placed into packets and any media specific protocol headers that should be added.

Typically there is a one to one correspondence between reference media track samples and hint track samples. The start time, duration, and sync flags are typically the same, however provisions are made for deviations from this rule.

The MP4 library provides extensive support for RTP hint tracks. This includes a easy to use API to create RTP hint tracks, and read out fully constructed RTP packets based on the hint track.

SEE ALSO

MP4(3)